Subject: Re: [PATCH v2 1/2] rebase: remove completely useless -C option

From: Junio C Hamano <[email-masked]>
Date: Sat, 21 Jan 2023 16:02:14 -0800

Elijah Newren <[email-masked]> writes:

> I'd probably go for that, but since in my mind the plan is still to
> deprecate and remove the apply backend as you suggested at [1], I'm
> not particularly motivated to improve/extend options specific to the
> apply backend of rebase.

I still consider that deprecating and removing the "am|format-patch
pipeline" mode is a good longer term goal, but it seems we still
have some features that are only available with the mode and not the
other "sequence of cherry-pick" mode?  We'd need to port that over
to the other backend before we can wean ourselves off of the apply
backend.  Until then, ...